#include <iostream>
#include <bits/stdc++.h>

using namespace std;

string najveci="";

bool Veci(string a){
    for(int i=0;i<a.length();i++){
        if((a[i]-'0')>(najveci[i]-'0'))
            return true;
        else if((a[i]-'0')<(najveci[i]-'0'))
            return false;
    }
    cout<<endl;
    return false;
}

void Resi(string res,string a,string b,string c){
    if(res!=""){
        if(Veci(res))
            najveci=res;
    }
    else{
        Resi(a+b+c,a,b,c);
        Resi(a+c+b,a,b,c);
        Resi(b+c+a,a,b,c);
        Resi(b+a+c,a,b,c);
        Resi(c+a+b,a,b,c);
        Resi(c+b+a,a,b,c);
    }
}

int main()
{
    string a,b,c;
    cin>>a>>b>>c;

    Resi("",a,b,c);
    cout<<najveci;
    return 0;
}